Für den Zugriff auf diese Seite ist eine Autorisierung erforderlich. Sie können versuchen, das Verzeichnis zu wechseln.
Sync Groups - List Sync Database Ids
Dienst:
SQL Database
API-Version:
2025-01-01
Ruft eine Auflistung von Synchronisierungsdatenbank-IDs ab.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/syncDatabaseIds?api-version=2025-01-01
URI-Parameter
Name
In
Erforderlich
Typ
Beschreibung
locationName
path
True
string
Der Name der Region, in der sich die Ressource befindet.
subscriptionId
path
True
string
(uuid)
Die ID des Zielabonnements. Der Wert muss eine UUID sein.
api-version
query
True
string
minLength: 1
Die API-Version, die für diesen Vorgang verwendet werden soll.
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/westus/syncDatabaseIds?api-version=2025-01-01
/**
* Samples for SyncGroups ListSyncDatabaseIds.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/SyncGroupGetSyncDatabaseId.json
*/
/**
* Sample code: Get a sync database ID.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getASyncDatabaseID(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getSyncGroups().listSyncDatabaseIds("westus", com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python sync_group_get_sync_database_id.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.sync_groups.list_sync_database_ids(
location_name="westus",
)
for item in response:
print(item)
# x-ms-original-file: 2025-01-01/SyncGroupGetSyncDatabaseId.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Resources.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/SyncGroupGetSyncDatabaseId.json
// this example is just showing the usage of "SyncGroups_ListSyncDatabaseIds" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SubscriptionResource created on azure
// for more information of creating SubscriptionResource, please refer to the document of SubscriptionResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
ResourceIdentifier subscriptionResourceId = SubscriptionResource.CreateResourceIdentifier(subscriptionId);
SubscriptionResource subscriptionResource = client.GetSubscriptionResource(subscriptionResourceId);
// invoke the operation and iterate over the result
AzureLocation locationName = new AzureLocation("westus");
await foreach (SubResource item in subscriptionResource.GetSyncDatabaseIdsSyncGroupsAsync(locationName))
{
Console.WriteLine($"Succeeded: {item}");
}
Console.WriteLine("Succeeded");